** D3A TRIODE ************************************************************
* Created on Sat Jan 12 09:17:53 GMT 2013 using tube.model.finder.PaintKIT
* model URL: http://www.bartola.co.uk/valves/valve-curves/d3a-triode/
* Created by Ale Moglia valves@bartola.co.uk
*--------------------------------------------------
.SUBCKT TRIODE_D3A 1 2 3 ; P G K ; 
+ PARAMS: CCG=6.7P CGP=3.3P CCP=1P RGI=2000
+ MU=72.1 EX=1.456 KG1=65.625 KP=534.0 KVB=300.0 VCT=0.0557 ; Vp_MAX=500.0 Ip_MAX=0.07 Vg_step=0.5
*--------------------------------------------------
E1 7 0 VALUE={V(1,3)/KP*LOG(1+EXP(KP*(1/MU+(VCT+V(2,3))/SQRT(KVB+V(1,3)*V(1,3)))))} 
RE1 7 0 1G 
G1 1 3 VALUE={(PWR(V(7),EX)+PWRS(V(7),EX))/KG1} 
RCP 1 3 1G ; TO AVOID FLOATING NODES
C1 2 3 {CCG} ; CATHODE-GRID 
C2 2 1 {CGP} ; GRID=PLATE 
C3 1 3 {CCP} ; CATHODE-PLATE 
D3 5 3 DX ; FOR GRID CURRENT 
R1 2 5 {RGI} ; FOR GRID CURRENT 
.MODEL DX D(IS=1N RS=1 CJO=10PF TT=1N) 
.ENDS 
*$
*                Plate
*                | Screen Grid
*                | | Grid
*                | | | Cathode
*                | | | |
.SUBCKT 7721/D3a A S G K
Ea Gi G value= {-.09} ; grid offset
Eat    at    0    VALUE={.636*ATAN(V(A,K)/15)}                    ; /# is sharpness of knee
Egsg    gsg    0    VALUE={LIMIT(V(S,K)/1+PWRS(V(G,K),1)/.014+V(A,K)/80000,0,1E6)}    ; s,k/#=peak current  g,k/# is mu  a,k/# is plate res mu was too low
Egss    gss    0    VALUE={LIMIT(V(S,K)/10000000000+PWRS(V(G,K),1.0)/.03+V(A,K)/80,0,1E6)}    ; separating gsg,gss allows cutoff to be different
Egs2    gs2    0    VALUE={PWRS(V(gsg),1.4)}
Egs3    gs3    0    VALUE={PWRS(V(gss),1.4)}
Ecath     cc        0     VALUE={V(gs2)*V(at)+V(gs3)*V(at)}
Ga         A         K   VALUE={limit(6.4E-5*V(cc),0,v(a,k)/1.2k)}  ; added knee limit 3-17-10 sb
Escrn    sc    0    VALUE={V(gs2)*(1.1-V(at))}
Gs         S         K    VALUE={limit(9.8E-5*V(sc)*LIMIT(V(S,K),0,10)/10,0,v(a,k)/800)} ; screen current was too low, added limit sb
Gg    G    K    VALUE={PWR(LIMIT(V(G,K)+1,0,1E6),1.5)*(1.25-V(at))*450E-6}
Cg1    G    K    9.5p
Cak    A    K    4.5p
Cg1a    G    A    0.04p
.ENDS D3a